ApiHBaseAddReplicationPeerInput (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHBaseAddReplicationPeerInput

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseAddReplicationPeerInput

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHBaseAddReplicationPeerInput
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseAddReplicationPeerInput()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHBaseAddReplicationPeerInput` | `clusterKey(String clusterKey)`
    `ApiHBaseAddReplicationPeerInput` | `enabled(Boolean enabled)`
    `boolean` | `equals(Object o)`
    `String` | `getClusterKey()`
    `Boolean` | `getEnabled()`
    `String` | `getPeerId()`
    `Map<String,List<String>>` | `getTableCFs()`
    `int` | `hashCode()`
    `ApiHBaseAddReplicationPeerInput` | `peerId(String peerId)`
    `ApiHBaseAddReplicationPeerInput` | `putTableCFsItem(String key, List<String> tableCFsItem)`
    `void` | `setClusterKey(String clusterKey)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setPeerId(String peerId)`
    `void` | `setTableCFs(Map<String,List<String>> tableCFs)`
    `ApiHBaseAddReplicationPeerInput` | `tableCFs(Map<String,List<String>> tableCFs)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseAddReplicationPeerInput

          public ApiHBaseAddReplicationPeerInput()

  - ### Method Detail

    - #### peerId

          public ApiHBaseAddReplicationPeerInput peerId(String peerId)

    - #### getPeerId

          public String getPeerId()

      Returns:
        peerId

    - #### setPeerId

          public void setPeerId(String peerId)

    - #### clusterKey

          public ApiHBaseAddReplicationPeerInput clusterKey(String clusterKey)

    - #### getClusterKey

          public String getClusterKey()

      Returns:
        clusterKey

    - #### setClusterKey

          public void setClusterKey(String clusterKey)

    - #### tableCFs

          public ApiHBaseAddReplicationPeerInput tableCFs(Map<String,List<String>> tableCFs)

    - #### putTableCFsItem

          public ApiHBaseAddReplicationPeerInput putTableCFsItem(String key,
                                                                 List<String> tableCFsItem)

    - #### getTableCFs

          public Map<String,List<String>> getTableCFs()

      Returns:
        tableCFs

    - #### setTableCFs

          public void setTableCFs(Map<String,List<String>> tableCFs)

    - #### enabled

          public ApiHBaseAddReplicationPeerInput enabled(Boolean enabled)

    - #### getEnabled

          public Boolean getEnabled()

      Returns:
        enabled

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.